View Issue Details

IDProjectCategoryView StatusLast Update
0008370Talerdeployment and operationspublic2024-02-14 18:36
ReporterFlorian Dold Assigned Todvn  
PrioritynormalSeveritymajorReproducibilityhave not tried
Status resolvedResolutionfixed 
Target Version0.9.4Fixed in Version0.9.4 
Summary0008370: user-local systemd units missing to bring up demo/test/head
DescriptionWith podman, these don't automatically restart on reboot. We need to have a user-local systemd unit to start podman.

Otherwise, reboots will bring down our demos.
TagsNo tags attached.

Relationships

related to 0008402 resolveddvn Unit files for running sandcastle should use `sandcastle-run` script 

Activities

dvn

2024-02-13 21:12

developer   ~0021280

I generated the systemd unit files with `podman generate systemd --name --new taler-sandcastle`, and then modified them by hand a bit.

I enabled them as user services for both the `taler-test` and `demo` user on gv.

They are checked in with this commit:
https://git.taler.net/sandcastle-ng.git/commit/?id=d40686fdaaa8194ec39a8d7bea89cc241f8e3143

Issue History

Date Modified Username Field Change
2024-02-12 10:55 Florian Dold New Issue
2024-02-12 10:55 Florian Dold Status new => assigned
2024-02-12 10:55 Florian Dold Assigned To => dvn
2024-02-13 21:12 dvn Status assigned => resolved
2024-02-13 21:12 dvn Resolution open => fixed
2024-02-13 21:12 dvn Fixed in Version => 0.9.4
2024-02-13 21:12 dvn Note Added: 0021280
2024-02-14 18:36 dvn Relationship added related to 0008402